VRSpace.org - Bug #166

external neo4j database
05/03/2023 09:22 PM - Josip Almasi

Status: Closed Start date: 05/03/2023
Priority: Low Due date:

Assignee: Josip Almasi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

The server can be configured to use external, stand-alone neo4j database server, rather than the embedded one.
This used to work but most likely doesn't work any longer, due to internal component dependencies:
@DependsOn({ "database" })

while in Neo4JConfig

@ConditionalOnProperty("org.vrspace.db")

@Bean("database")

History

#1 - 12/18/2023 04:39 PM - Josip Almasi
- Status changed from New to Resolved

- Assignee set to Josip Almasi

Easy fix, though external database has to be exact same version as the embedded one: 4.3.6

#2 - 01/03/2024 06:33 PM - Josip Almasi

- Status changed from Resolved to Closed
